Subject: Compressed Kernels

From: JP Foster <[email-masked]>
Date: Thu, 31 Mar 2005 09:35:26 +0100

I've noticed that mips doesn't have a compressed kernel option,
so I had added support (ripped shamelessly from arch/i386) for it
to save space on our flash chips.

It works fine for my db1550 and also our product boards.
The patch is pretty messy but if there was interest in it I could clean
it up. Is there any historical reason for it not being included?

-- 
[email-masked]
Digital Simplicity

---

From: "Robin H. Johnson" <[email-masked]>
Date: Thu, 31 Mar 2005 00:42:07 -0800

> it up. Is there any historical reason for it not being included?
Pete Popov was already working some zImage code.

His link for it:
ftp://ftp.linux-mips.org/pub/linux/mips/people/ppopov/2.6/zImage_2_6_10.patch

It worked for me in January on an XXS1500 device, but I haven't tried it
on any newer kernel since then.

I don't know the current status of it, or if it is going to go into the
main codebase at all.

-- 
Robin Hugh Johnson
E-Mail     : [email-masked]
Home Page  : http://www.orbis-terrarum.net/?l=people.robbat2
ICQ#       : 30269588 or 41961639
GnuPG FP   : 11AC BA4F 4778 E3F6 E4ED  F38E B27B 944E 3488 4E85

---

From: Pete Popov <[email-masked]>
Date: Thu, 31 Mar 2005 08:24:48 -0800

> I don't know the current status of it, or if it is going to go into the

Should be easy to update if if doesn't apply cleanly anymore. I think the 
complaint about that patch is that it duplicates some code from other 
architectures and a more common solution is needed. Since I don't have time to 
work on something more common, the patch remains stand alone.

Pete